# PetscDataTypeGetName

Gets the string representation of a PETSc datatype

### Synopsis

    #include "petsc.h"
    PetscErrorCode PetscDataTypeGetName(PetscDataType ptype,const char *name[])

Not collective

### Input Parameter

ptype -the PETSc datatype name (for example PETSC_DOUBLE)

### Output Parameter

name -the name as a string (for example "double")

### See Also

PetscDataType, PetscDataTypeGetSize(), PetscDataTypeToMPIDataType()

Level:advanced
Location:src/sys/src/objects/ptype.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages